Subject: Re: [PATCH] strbuf: let strbuf_addftime handle %z and %Z itself

From: René Scharfe <[email-masked]>
Date: Sat, 3 Jun 2017 18:20:17 +0200

Am 03.06.2017 um 15:13 schrieb Ulrich Mueller:
>>>>>> On Sat, 3 Jun 2017, René Scharfe wrote:
> 
>> +			case 'Z':
>> +				strbuf_addstr(&munged_fmt, tz_name);
> 
> Is it guaranteed that tz_name cannot contain a percent sign itself?

Currently yes, because the only caller passes an empty string.

The fact that tz_name is subject to expansion by strftime could be
mentioned explicitly in strbuf.h.  I'm not sure if that's a desirable
property, but it allows callers to expand %z internally and %Z using
strftime.

René